.footer {
    margin-top: 8rem;
}

.footer__bar {
    padding: 1rem;
}

.footer__logo {
    grid-column: 1/4;
    margin-bottom: 1rem;
}

.footer__sitemap {
    background-color: black;
    color: white;
    grid-column: 1/-1;
    padding: 1rem 1rem 4rem 1rem;
}

.footer__sitemap__nav {
    display: none;
}

.footer__sitemap__address,
.footer__sitemap__menu {
    grid-column: 1/-1;
    margin: 1.5rem 0 0;
}



.footer__address,
.footer__bar__menu {
    display: none;
}

.footer__partners {
    display: flex;
    flex-direction: column;
    grid-column: 1/-1;
    margin-bottom: 3rem;
}

.footer__partners img {
    height: auto;
    max-width: 8rem;
    max-height: 8rem;
    object-fit: contain;
    object-position: 0 0;
}

.footer__partners img.portrait {
    max-width: 4rem;
}

.footer__partners img:not(:last-child) {
    margin-bottom: 1.5rem;
}


.footer__copyrights {
    grid-column: 1/-1;
}

/* Desktop */
@media only screen and (min-width: 64rem) {
    .footer__logo {
        grid-column: -3/-1;
    }

    .footer__sitemap {
        background-color: black;
        color: white;
        grid-column: 1/11;
        padding: 1rem 2.5rem;
    }

    .footer__sitemap__nav {
        display: block;
    }

    .footer__sitemap__address {
        display: none;
    }

    .footer__sitemap .page {
        margin-bottom: 1em;
    }
    
    .footer__sitemap__adress,
    .footer__sitemap__menu {
        display: none;
    }
    

    .footer__bar {
        padding: 1rem 2.5rem;
    }

    .footer__bar__menu {
        display: block;
        grid-column: 1/4;
    }

    .footer__address {
        display: block;
        grid-column: 5/10;
    }

    .footer__links {
        display: block;
        grid-column: 8/12;
    }

    .footer__partners {
        grid-column: 12/-1;
        flex-direction: row;
        justify-content: flex-end;
    }

    .footer__partners img {
        object-position: 100% 0;
    }

    .footer__partners img:not(:last-child) {
        margin-right: 1.5rem;
    }

    .footer__copyrights {
        margin-top: 2rem;
    }
}